﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OlapAxisStackedColumnSeries
{
    public class CarSales
    {
        public Car Car { get; set; }
        public SalesRegion SalesRegion { get; set; }
        public DateTime SalesDate { get; set; }
        public int SoldNewUnits { get; set; }
        public int SoldUsedUnits { get; set; }
        public int SoldTotalUnits { get; set; }
    }

    public class Car
    {
        public string Brand { get; set; }
        public string Model { get; set; }
        public int Year { get; set; }
    }

    public class SalesRegion
    {
        public string Continent { get; set; }
        public string Country { get; set; }
        public string City { get; set; }
    }

    public static class Data
    {
        public static List<CarSales> CarSales = new List<CarSales>()
        {
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "3 Series",
                    Year = 2004,
                },
                SalesDate = new DateTime(2005, 12, 4),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 39852,
                SoldTotalUnits = 134153,
                SoldUsedUnits = 94301,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 1991,
                },
                SalesDate = new DateTime(2009, 6, 17),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 28724,
                SoldTotalUnits = 74241,
                SoldUsedUnits = 45517,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 2002,
                },
                SalesDate = new DateTime(2003, 9, 22),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 5060,
                SoldTotalUnits = 89604,
                SoldUsedUnits = 84544,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 1996,
                },
                SalesDate = new DateTime(2008, 10, 25),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 3292,
                SoldTotalUnits = 53644,
                SoldUsedUnits = 50352,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1999,
                },
                SalesDate = new DateTime(2007, 5, 29),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 35647,
                SoldTotalUnits = 54794,
                SoldUsedUnits = 19147,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "307",
                    Year = 1992,
                },
                SalesDate = new DateTime(2006, 11, 20),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 6084,
                SoldTotalUnits = 52937,
                SoldUsedUnits = 46853,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "306",
                    Year = 1990,
                },
                SalesDate = new DateTime(2006, 4, 7),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 28008,
                SoldTotalUnits = 30229,
                SoldUsedUnits = 2221,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "6 Series",
                    Year = 1999,
                },
                SalesDate = new DateTime(2004, 12, 3),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 5155,
                SoldTotalUnits = 30799,
                SoldUsedUnits = 25644,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Cayenne",
                    Year = 2002,
                },
                SalesDate = new DateTime(2001, 9, 20),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 35133,
                SoldTotalUnits = 90742,
                SoldUsedUnits = 55609,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "5 Series",
                    Year = 1992,
                },
                SalesDate = new DateTime(2008, 1, 26),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 45519,
                SoldTotalUnits = 73189,
                SoldUsedUnits = 27670,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "3 Series",
                    Year = 1999,
                },
                SalesDate = new DateTime(2004, 8, 17),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 7135,
                SoldTotalUnits = 11378,
                SoldUsedUnits = 4243,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 1993,
                },
                SalesDate = new DateTime(2007, 2, 3),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 46722,
                SoldTotalUnits = 100704,
                SoldUsedUnits = 53982,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 2003,
                },
                SalesDate = new DateTime(2006, 8, 3),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 36021,
                SoldTotalUnits = 43678,
                SoldUsedUnits = 7657,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 2004,
                },
                SalesDate = new DateTime(2004, 1, 20),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 23322,
                SoldTotalUnits = 39413,
                SoldUsedUnits = 16091,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 1999,
                },
                SalesDate = new DateTime(2000, 2, 27),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 47627,
                SoldTotalUnits = 116035,
                SoldUsedUnits = 68408,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1994,
                },
                SalesDate = new DateTime(2001, 4, 9),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 31700,
                SoldTotalUnits = 84301,
                SoldUsedUnits = 52601,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Cayenne",
                    Year = 1997,
                },
                SalesDate = new DateTime(2003, 10, 1),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 31011,
                SoldTotalUnits = 48167,
                SoldUsedUnits = 17156,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 1992,
                },
                SalesDate = new DateTime(2003, 6, 20),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 15734,
                SoldTotalUnits = 70017,
                SoldUsedUnits = 54283,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Panamera",
                    Year = 2004,
                },
                SalesDate = new DateTime(2009, 12, 2),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 33523,
                SoldTotalUnits = 114222,
                SoldUsedUnits = 80699,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "6 Series",
                    Year = 1994,
                },
                SalesDate = new DateTime(2000, 3, 25),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 33594,
                SoldTotalUnits = 117071,
                SoldUsedUnits = 83477,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "7 Series",
                    Year = 1994,
                },
                SalesDate = new DateTime(2009, 1, 25),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 12763,
                SoldTotalUnits = 94811,
                SoldUsedUnits = 82048,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 1997,
                },
                SalesDate = new DateTime(2007, 10, 26),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 10253,
                SoldTotalUnits = 25300,
                SoldUsedUnits = 15047,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "C Class",
                    Year = 1993,
                },
                SalesDate = new DateTime(2005, 2, 28),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 18732,
                SoldTotalUnits = 79567,
                SoldUsedUnits = 60835,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "A Class",
                    Year = 1991,
                },
                SalesDate = new DateTime(2006, 3, 17),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 10950,
                SoldTotalUnits = 53814,
                SoldUsedUnits = 42864,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1998,
                },
                SalesDate = new DateTime(2001, 8, 1),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 24685,
                SoldTotalUnits = 120219,
                SoldUsedUnits = 95534,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Panamera",
                    Year = 1991,
                },
                SalesDate = new DateTime(2005, 8, 28),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 35831,
                SoldTotalUnits = 88376,
                SoldUsedUnits = 52545,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 2003,
                },
                SalesDate = new DateTime(2005, 3, 2),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 11873,
                SoldTotalUnits = 41934,
                SoldUsedUnits = 30061,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "6 Series",
                    Year = 1998,
                },
                SalesDate = new DateTime(2006, 6, 24),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 16555,
                SoldTotalUnits = 34359,
                SoldUsedUnits = 17804,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 1998,
                },
                SalesDate = new DateTime(2000, 4, 23),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 29501,
                SoldTotalUnits = 62101,
                SoldUsedUnits = 32600,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "306",
                    Year = 1993,
                },
                SalesDate = new DateTime(2006, 4, 11),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 24567,
                SoldTotalUnits = 94240,
                SoldUsedUnits = 69673,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "A Class",
                    Year = 2002,
                },
                SalesDate = new DateTime(2004, 7, 6),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 47704,
                SoldTotalUnits = 120126,
                SoldUsedUnits = 72422,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1990,
                },
                SalesDate = new DateTime(2001, 1, 26),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 17184,
                SoldTotalUnits = 68265,
                SoldUsedUnits = 51081,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 1999,
                },
                SalesDate = new DateTime(2007, 7, 18),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 15236,
                SoldTotalUnits = 27408,
                SoldUsedUnits = 12172,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1991,
                },
                SalesDate = new DateTime(2004, 12, 19),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 37591,
                SoldTotalUnits = 50956,
                SoldUsedUnits = 13365,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Cayenne",
                    Year = 1990,
                },
                SalesDate = new DateTime(2002, 11, 1),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 41417,
                SoldTotalUnits = 116212,
                SoldUsedUnits = 74795,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1999,
                },
                SalesDate = new DateTime(2003, 12, 26),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 4931,
                SoldTotalUnits = 10921,
                SoldUsedUnits = 5990,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A6",
                    Year = 1991,
                },
                SalesDate = new DateTime(2003, 10, 31),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 49507,
                SoldTotalUnits = 86457,
                SoldUsedUnits = 36950,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "306",
                    Year = 1996,
                },
                SalesDate = new DateTime(2004, 7, 1),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 10895,
                SoldTotalUnits = 93095,
                SoldUsedUnits = 82200,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "6 Series",
                    Year = 1990,
                },
                SalesDate = new DateTime(2005, 1, 8),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 35480,
                SoldTotalUnits = 59122,
                SoldUsedUnits = 23642,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 2003,
                },
                SalesDate = new DateTime(2001, 5, 15),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 30570,
                SoldTotalUnits = 68816,
                SoldUsedUnits = 38246,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Panamera",
                    Year = 2000,
                },
                SalesDate = new DateTime(2005, 6, 1),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 36651,
                SoldTotalUnits = 87224,
                SoldUsedUnits = 50573,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "B Class",
                    Year = 1996,
                },
                SalesDate = new DateTime(2001, 5, 18),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 19920,
                SoldTotalUnits = 113297,
                SoldUsedUnits = 93377,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 1995,
                },
                SalesDate = new DateTime(2002, 10, 18),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 13022,
                SoldTotalUnits = 65088,
                SoldUsedUnits = 52066,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 1997,
                },
                SalesDate = new DateTime(2005, 8, 2),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 29991,
                SoldTotalUnits = 93865,
                SoldUsedUnits = 63874,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "307",
                    Year = 1999,
                },
                SalesDate = new DateTime(2002, 8, 11),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 16717,
                SoldTotalUnits = 39734,
                SoldUsedUnits = 23017,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "5 Series",
                    Year = 1994,
                },
                SalesDate = new DateTime(2008, 3, 5),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 32066,
                SoldTotalUnits = 79122,
                SoldUsedUnits = 47056,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 1994,
                },
                SalesDate = new DateTime(2000, 5, 25),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 37705,
                SoldTotalUnits = 51530,
                SoldUsedUnits = 13825,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Cayenne",
                    Year = 2003,
                },
                SalesDate = new DateTime(2001, 1, 31),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 26837,
                SoldTotalUnits = 83362,
                SoldUsedUnits = 56525,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 1991,
                },
                SalesDate = new DateTime(2007, 3, 27),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 14478,
                SoldTotalUnits = 25082,
                SoldUsedUnits = 10604,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "C Class",
                    Year = 1992,
                },
                SalesDate = new DateTime(2002, 1, 27),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 43462,
                SoldTotalUnits = 127030,
                SoldUsedUnits = 83568,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "307",
                    Year = 1991,
                },
                SalesDate = new DateTime(2005, 7, 5),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 18829,
                SoldTotalUnits = 29606,
                SoldUsedUnits = 10777,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 2003,
                },
                SalesDate = new DateTime(2003, 1, 2),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 11543,
                SoldTotalUnits = 24687,
                SoldUsedUnits = 13144,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "A Class",
                    Year = 2000,
                },
                SalesDate = new DateTime(2000, 3, 4),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 13845,
                SoldTotalUnits = 70042,
                SoldUsedUnits = 56197,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 2000,
                },
                SalesDate = new DateTime(2000, 7, 26),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 32083,
                SoldTotalUnits = 60189,
                SoldUsedUnits = 28106,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A3",
                    Year = 2000,
                },
                SalesDate = new DateTime(2009, 12, 27),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 7149,
                SoldTotalUnits = 29881,
                SoldUsedUnits = 22732,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "5 Series",
                    Year = 1999,
                },
                SalesDate = new DateTime(2004, 3, 18),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 32579,
                SoldTotalUnits = 125569,
                SoldUsedUnits = 92990,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1997,
                },
                SalesDate = new DateTime(2002, 4, 3),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 38332,
                SoldTotalUnits = 131219,
                SoldUsedUnits = 92887,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1997,
                },
                SalesDate = new DateTime(2007, 3, 30),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 10214,
                SoldTotalUnits = 108596,
                SoldUsedUnits = 98382,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A4",
                    Year = 2002,
                },
                SalesDate = new DateTime(2000, 4, 16),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 8397,
                SoldTotalUnits = 49349,
                SoldUsedUnits = 40952,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "A Class",
                    Year = 1999,
                },
                SalesDate = new DateTime(2006, 1, 19),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 16172,
                SoldTotalUnits = 30432,
                SoldUsedUnits = 14260,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Cayenne",
                    Year = 1992,
                },
                SalesDate = new DateTime(2001, 4, 17),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 22226,
                SoldTotalUnits = 82124,
                SoldUsedUnits = 59898,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A4",
                    Year = 2002,
                },
                SalesDate = new DateTime(2008, 8, 5),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 44931,
                SoldTotalUnits = 64161,
                SoldUsedUnits = 19230,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "B Class",
                    Year = 1991,
                },
                SalesDate = new DateTime(2000, 11, 13),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 25522,
                SoldTotalUnits = 57779,
                SoldUsedUnits = 32257,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Panamera",
                    Year = 1990,
                },
                SalesDate = new DateTime(2005, 12, 9),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 18651,
                SoldTotalUnits = 80689,
                SoldUsedUnits = 62038,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 2002,
                },
                SalesDate = new DateTime(2008, 2, 20),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 48773,
                SoldTotalUnits = 99791,
                SoldUsedUnits = 51018,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "C Class",
                    Year = 1999,
                },
                SalesDate = new DateTime(2006, 12, 10),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 10228,
                SoldTotalUnits = 45008,
                SoldUsedUnits = 34780,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "3 Series",
                    Year = 2004,
                },
                SalesDate = new DateTime(2000, 4, 20),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 35773,
                SoldTotalUnits = 109743,
                SoldUsedUnits = 73970,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A6",
                    Year = 1992,
                },
                SalesDate = new DateTime(2002, 12, 6),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 40172,
                SoldTotalUnits = 112379,
                SoldUsedUnits = 72207,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "C Class",
                    Year = 1990,
                },
                SalesDate = new DateTime(2002, 9, 11),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 30343,
                SoldTotalUnits = 102941,
                SoldUsedUnits = 72598,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 2004,
                },
                SalesDate = new DateTime(2001, 7, 16),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 40486,
                SoldTotalUnits = 68200,
                SoldUsedUnits = 27714,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1995,
                },
                SalesDate = new DateTime(2002, 3, 28),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 30249,
                SoldTotalUnits = 119170,
                SoldUsedUnits = 88921,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "308",
                    Year = 2002,
                },
                SalesDate = new DateTime(2005, 8, 18),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 24824,
                SoldTotalUnits = 111286,
                SoldUsedUnits = 86462,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 1992,
                },
                SalesDate = new DateTime(2005, 11, 19),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 33580,
                SoldTotalUnits = 36204,
                SoldUsedUnits = 2624,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1992,
                },
                SalesDate = new DateTime(2002, 9, 21),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 20479,
                SoldTotalUnits = 100484,
                SoldUsedUnits = 80005,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 1998,
                },
                SalesDate = new DateTime(2007, 4, 11),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 44654,
                SoldTotalUnits = 46101,
                SoldUsedUnits = 1447,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "7 Series",
                    Year = 2002,
                },
                SalesDate = new DateTime(2004, 4, 27),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 28691,
                SoldTotalUnits = 73339,
                SoldUsedUnits = 44648,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 1997,
                },
                SalesDate = new DateTime(2007, 5, 7),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 23815,
                SoldTotalUnits = 68488,
                SoldUsedUnits = 44673,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 1991,
                },
                SalesDate = new DateTime(2004, 9, 28),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 42978,
                SoldTotalUnits = 68685,
                SoldUsedUnits = 25707,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A6",
                    Year = 2002,
                },
                SalesDate = new DateTime(2006, 11, 6),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 23085,
                SoldTotalUnits = 96043,
                SoldUsedUnits = 72958,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 1998,
                },
                SalesDate = new DateTime(2006, 5, 23),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 39322,
                SoldTotalUnits = 78331,
                SoldUsedUnits = 39009,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera",
                    Year = 1993,
                },
                SalesDate = new DateTime(2002, 11, 28),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 36233,
                SoldTotalUnits = 53980,
                SoldUsedUnits = 17747,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "B Class",
                    Year = 2004,
                },
                SalesDate = new DateTime(2003, 2, 27),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 25932,
                SoldTotalUnits = 118309,
                SoldUsedUnits = 92377,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 2003,
                },
                SalesDate = new DateTime(2006, 10, 22),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 29776,
                SoldTotalUnits = 115461,
                SoldUsedUnits = 85685,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "6 Series",
                    Year = 1993,
                },
                SalesDate = new DateTime(2007, 9, 17),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 12700,
                SoldTotalUnits = 40273,
                SoldUsedUnits = 27573,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 2000,
                },
                SalesDate = new DateTime(2006, 10, 29),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 28566,
                SoldTotalUnits = 112336,
                SoldUsedUnits = 83770,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "A Class",
                    Year = 1995,
                },
                SalesDate = new DateTime(2005, 11, 10),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 10283,
                SoldTotalUnits = 95458,
                SoldUsedUnits = 85175,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 2004,
                },
                SalesDate = new DateTime(2005, 5, 24),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 37979,
                SoldTotalUnits = 44143,
                SoldUsedUnits = 6164,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "7 Series",
                    Year = 1999,
                },
                SalesDate = new DateTime(2006, 11, 28),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 48411,
                SoldTotalUnits = 120180,
                SoldUsedUnits = 71769,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 1996,
                },
                SalesDate = new DateTime(2009, 1, 28),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 24948,
                SoldTotalUnits = 119933,
                SoldUsedUnits = 94985,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 1997,
                },
                SalesDate = new DateTime(2000, 9, 30),
                SalesRegion = new SalesRegion
                {
                    City = "Rio de Janeiro",
                    Continent = "South America",
                    Country = "Brazil",
                },
                SoldNewUnits = 29026,
                SoldTotalUnits = 33943,
                SoldUsedUnits = 4917,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Mercedes-Benz",
                    Model = "S Class",
                    Year = 1996,
                },
                SalesDate = new DateTime(2003, 10, 31),
                SalesRegion = new SalesRegion
                {
                    City = "Bucharest",
                    Continent = "Europe",
                    Country = "Romania",
                },
                SoldNewUnits = 44298,
                SoldTotalUnits = 58053,
                SoldUsedUnits = 13755,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1990,
                },
                SalesDate = new DateTime(2005, 1, 19),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 48247,
                SoldTotalUnits = 108087,
                SoldUsedUnits = 59840,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "Panamera",
                    Year = 1995,
                },
                SalesDate = new DateTime(2005, 12, 9),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 23068,
                SoldTotalUnits = 51981,
                SoldUsedUnits = 28913,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1994,
                },
                SalesDate = new DateTime(2009, 10, 12),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 16995,
                SoldTotalUnits = 33469,
                SoldUsedUnits = 16474,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A3",
                    Year = 2002,
                },
                SalesDate = new DateTime(2008, 6, 8),
                SalesRegion = new SalesRegion
                {
                    City = "San Francisco",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 19261,
                SoldTotalUnits = 80355,
                SoldUsedUnits = 61094,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Porsche",
                    Model = "911 Carrera S",
                    Year = 2004,
                },
                SalesDate = new DateTime(2007, 6, 25),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 10528,
                SoldTotalUnits = 62516,
                SoldUsedUnits = 51988,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A6",
                    Year = 1994,
                },
                SalesDate = new DateTime(2002, 6, 15),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 17030,
                SoldTotalUnits = 56420,
                SoldUsedUnits = 39390,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Audi",
                    Model = "A5",
                    Year = 1994,
                },
                SalesDate = new DateTime(2005, 11, 22),
                SalesRegion = new SalesRegion
                {
                    City = "Berlin",
                    Continent = "Europe",
                    Country = "Germany",
                },
                SoldNewUnits = 26979,
                SoldTotalUnits = 52966,
                SoldUsedUnits = 25987,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "BMW",
                    Model = "3 Series",
                    Year = 2004,
                },
                SalesDate = new DateTime(2006, 9, 24),
                SalesRegion = new SalesRegion
                {
                    City = "Sofia",
                    Continent = "Europe",
                    Country = "Bulgaria",
                },
                SoldNewUnits = 39831,
                SoldTotalUnits = 64003,
                SoldUsedUnits = 24172,
            },
            new CarSales
            {
                Car = new Car
                {
                    Brand = "Peugeot",
                    Model = "206",
                    Year = 1995,
                },
                SalesDate = new DateTime(2003, 12, 26),
                SalesRegion = new SalesRegion
                {
                    City = "Los Angeles",
                    Continent = "North America",
                    Country = "USA",
                },
                SoldNewUnits = 49632,
                SoldTotalUnits = 133317,
                SoldUsedUnits = 83685,
            },
        };
    }
}
