﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace OlapAxisStackedColumnSeries
{
    public class StackSeriesData
    {
        public int SoldNewUnits { get; set; }
        public int SoldUsedUnits { get; set; }
        public int SoldTotalUnits { get; set; }
    }

    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ((OlapAxis)DataChart.Axes["olapXAxis"]).SeriesCreating +=
                new EventHandler<SeriesCreatingEventArgs>(olapXAxis_SeriesCreating);
            ((OlapAxis)DataChart.Axes["olapXAxis"]).SeriesInitializing +=
                new EventHandler<SeriesInitializingEventArgs>(olapXAxis_SeriesInitializing);
        }

        //a private member to store the stacked series
        StackedColumnSeries series;

        private void olapXAxis_SeriesInitializing(object sender,
            SeriesInitializingEventArgs e)
        {
            //create the stacked series when the series initialization begin
            series = new StackedColumnSeries();
        }

        private void olapXAxis_SeriesCreating(object sender,
            SeriesCreatingEventArgs e)
        {
            //replace the generated series with our custom series
            //use the same every time
            e.Series = series;

            //initialize the stacked series ItemSource with a list of StackSeriesData items
            //the list the with of the first ItemSource that we are given
            if (series.ItemsSource == null)
            {
                series.ItemsSource =
                    Enumerable
                    .Range(0, e.SeriesInfo.ItemsSource.Count)
                    .Select(i => new StackSeriesData())
                    .ToList();
            }

            //merge the current ItemSource into the stacked series ItemSource
            List<StackSeriesData> seriesItemsSource = (List<StackSeriesData>)series.ItemsSource;
            for (int i = 0; i < seriesItemsSource.Count; i++)
            {
                //set the appropriate property
                switch (e.SeriesInfo.Title)
                {
                    case "SoldNewUnits":
                        seriesItemsSource[i].SoldNewUnits = (int)e.SeriesInfo.ItemsSource[i].Cell.Value;
                        break;
                    case "SoldUsedUnits":
                        seriesItemsSource[i].SoldUsedUnits = (int)e.SeriesInfo.ItemsSource[i].Cell.Value;
                        break;
                    case "SoldTotalUnits":
                        seriesItemsSource[i].SoldTotalUnits = (int)e.SeriesInfo.ItemsSource[i].Cell.Value;
                        break;
                    default:
                        break;
                }
            }

            //create a new fragment
            series.Series.Add(
                new StackedFragmentSeries
                {
                    Title = e.SeriesInfo.Title,
                    ValueMemberPath = e.SeriesInfo.Title
                });
        }
    }
}
